# MINI-BUILDD-API

Section: User Commands (1)
Updated: February 2026
Index Return to Main Contents

## NAME

mini-buildd-api - Run API calls against a mini-buildd instance

## DESCRIPTION

usage: mini-buildd-api [-h] [--version] [-l LOG_LEVEL] [-J] [--auto-confirm]

[--auto-save-passwords] [--script-mode]
  <call> [options] ...

Run API calls against a mini-buildd instance

### options:

-h, --help
  show this help message and exit
--version
  show program's version number and exit
-l, --log-level LOG_LEVEL
  set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)
-J, --json
  use parsable json output (default: False)
--auto-confirm
  force-bypass extra confirmation (for confirmable calls) (default: False)
--auto-save-passwords
  don't ask before saving passwords (via python3-keyring) (default: False)
--script-mode
  force not to be interactive (default: False)

### API calls (run 'mini-buildd-api <call> --help' for full single call help):

  <call> [options]
status
  Get status of this instance
  JSON result description:
{
  "version": mini-buildd's version "identity": Instance identity "url": Instance URL (HTTP) "incoming_url": Incoming URL (currently FTP) "load": Instance's (0 =< load <= 1). If negative, the instance is stopped "chroots": List of active chroots "remotes": Active or auto-reactivatable remotes ["repositories": Simplified structural representation of all repositories]
  }
Authorization: NONE
  .
pub_key
  Get ASCII-armored GnuPG public key of this instance
  Used to sign the APT repositories ('APT key') and for authorization across instances.
See ``Customer's
  Manual, APT Bootstrap`` for ways to employ the APT key on yor local system.
Authorization: NONE
  .
dput_conf
  Get recommended dput config snippet
Usually, this is for integration in your personal ``~/.dput.cf`` (which will work
  for both, ``dput`` and ``dput-ng``).
  Administrators may add custom site targets via ``~mini-buildd/etc/dput.cf``.
Authorization: NONE
  .
sources_list
  Get sources.list (apt lines)
  Usually, this output is put to a file like ``/etc/apt/sources.list.d/mini-buildd-xyz.list``.
Authorization: NONE
  .
ls
  List source package in repository
Authorization: NONE
  .
show
  Show source package in repository
Authorization: NONE
  .
search
  Search for source or binary package names in ``repositories``, ``builds`` and ``events``
  Be cautious with binary package files found outside of ``repositories``:
* Matches only found in ``builds`` usually failed installation as some criteria is not met.
  * Matches found in ``events`` originate from the initial (non source-only) user upload (and thus are local builds).
Authorization: NONE
  .
debdiff
  Compare two internal source packages
Authorization: NONE
  .
migrate
  Migrate source package
Migrates a source package along with all its binary packages. If
  run for a rollback distribution, this will perform a rollback restore.
Authorization: STAFF
  .
remove
  Remove source package
  Removes a source package along with all its binary packages.
Authorization: ADMIN
  .
port
  Port internal source package
An internal 'port' is a no-changes (i.e., only the changelog will be adapted)
  rebuild of the given locally-installed package.
  When ``from_distribution`` equals ``to_distribution``, a rebuild will be done.
Authorization: STAFF
  .
port_ext
  Port external source package
An external 'port' is a no-changes (i.e., only the changelog will be adapted)
  rebuild of any given source package.
Authorization: STAFF
  .
retry
  Retry a previously failed source package
  JSON result description:
  Changes file name that has been re-uploaded
Authorization: STAFF
  .
cancel
  Cancel an ongoing package build
Authorization: STAFF
  .
set_user_key
  Set a user's GnuPG public key
Authorization: LOGIN
  .
subscribe
  Subscribe to (email) notifications
Authorization: LOGIN
  .
unsubscribe
  Unsubscribe from (email) notifications
Authorization: LOGIN
  .
remake_chroots
  Remake chroots
  Run actions 'remove', 'prepare', 'check' and 'activate'.
  This is a MAINTENANCE call: Daemon will be automatically STOPPED while running, any ongoing events will be CANCELED.
Authorization: ADMIN
  .
reindex
  Force repository reindex
Usually, you reindex by doing an explicit ``check`` on a Repository
  instance -- however, that method would not reindex in case the repository config is unchanged. Use this call if you feel you need it anyway for whatever reason.
If you just upgraded from 2.2.x, it's recommended to run it once
  (2.4.x reindex additionally runs ``repreprop flood``, which may make some arch=all packages available for (subsequently) added architectures).
  This is a MAINTENANCE call: Daemon will be automatically STOPPED while running, any ongoing events will be CANCELED.
Authorization: ADMIN
  .
start
  Start Daemon (accept incoming)
  Does nothing if already started; will fail if Daemon instance is not activated.
Authorization: ADMIN
  .
stop
  Stop Daemon (stop accepting incoming)
  Does nothing if already stopped. Any ongoing events will be CANCELED.
  This state is *not persisted*. Please *deactivate* the Daemon instance via :mbdpage:`setup` to persist over *mini-buildd service* restarts.
Authorization: ADMIN
  .
wake
  Wake a remote instance
Authorization: STAFF
  .
handshake
  Check if signed message matches a remote, reply our signed message on success
  This is for internal use only.
Authorization: NONE
  .
cronjob
  Run a cron job now (out of schedule)
Authorization: ADMIN
  .
uploaders
  Get upload permissions for repositories
Authorization: ADMIN
  .
snapshot_ls
  Get list of repository snapshots for a distribution
Authorization: NONE
  .
snapshot_create
  Create a repository snapshot
Authorization: ADMIN
  .
snapshot_delete
  Delete a repository snapshot
Authorization: ADMIN
  .
debmirror
  Make local partial repository mirror via :debpkg:`debmirror`
This may be useful if you plan on publishing a stripped-down (f.e., only certain repos,
  only ``stable``, omit rollbacks) variant of your repo somewhere remote.
Authorization: ADMIN
  .
keyring_packages
  Build keyring packages
Authorization: ADMIN
  .
test_packages
  Build test packages
Authorization: ADMIN
  .
setup
  Create, update or inspect your setup
  This is a MAINTENANCE call: Daemon will be automatically STOPPED while running, any ongoing events will be CANCELED.
Authorization: ADMIN
  .

Note: Uses ``python3-keyring`` to persist passwords (see ``man 1 keyring``)

## Index

NAME
DESCRIPTION
  options:
  API calls (run 'mini-buildd-api <call> --help' for full single call help):

This document was created by man2html, using the manual pages.
Time: 00:18:35 GMT, February 20, 2026